yajl_alloc_funcs Struct Reference

`#include <yajl_common.h>`

## Data Fields

yajl_malloc_func | malloc
yajl_realloc_func | realloc
yajl_free_func | free
void * | ctx

## Detailed Description

A structure which can be passed to yajl_*_alloc routines to allow the client to specify memory allocation functions to be used.

## Field Documentation

## ctx

void* yajl_alloc_funcs::ctx

a context pointer that will be passed to above allocation routines

## free

yajl_free_func yajl_alloc_funcs::free

pointer to a function that can free memory allocated using reallocFunction or mallocFunction

## malloc

yajl_malloc_func yajl_alloc_funcs::malloc

pointer to a function that can allocate uninitialized memory

## realloc

yajl_realloc_func yajl_alloc_funcs::realloc

pointer to a function that can resize memory allocations

The documentation for this struct was generated from the following file:

- yajl_common.h